Browse Source

Update hacking for Python3

The repo is Python 3 now, so update hacking to version 3.0 which
supports Python 3.

Fix problems found by updated hacking version.

Change-Id: I621cc7f472e2666d3422113675b18d838688a434
tags/3.1.0
Andreas Jaeger 5 months ago
committed by Andreas Jaeger
parent
commit
ae0833ad9f
2 changed files with 2 additions and 1 deletions
  1. +1
    -1
      test-requirements.txt
  2. +1
    -0
      test/test_pipelines.py

+ 1
- 1
test-requirements.txt View File

@@ -3,7 +3,7 @@
# process, which may cause wedges in the gate later.

# Hacking already pins down pep8, pyflakes and flake8
hacking>=1.1.0,<1.2.0 # Apache-2.0
hacking>=3.0,<3.1.0 # Apache-2.0

bashate>=0.5.1 # Apache-2.0
doc8>=0.6.0 # Apache-2.0


+ 1
- 0
test/test_pipelines.py View File

@@ -193,5 +193,6 @@ class TestExportSitemap(unittest.TestCase):
pipelines.ExportSitemap.from_crawler(crawler)
# still thinking how to go about here.


if __name__ == '__main__':
unittest.main()

Loading…
Cancel
Save